Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server.renderers
Class SimpleTextRenderer

    java.lang.Object
      oracle.ifs.server.renderers.BaseRenderer
          oracle.ifs.server.renderers.SimpleTextRenderer

All Implemented Interfaces:
  Renderer

    public class SimpleTextRenderer

extends BaseRenderer

A SimpleTextRenderer renders any LibraryObject as a series of attribute name/value pairs.

The format of the rendered representation is identical to that used by `java.util.Properties`, except that character set encoding is handled more cleanly by SimpleTextRenderer.

(Unpublished)

Field Summary
`static java.lang.String` | `CHAR_ENCODING` The hashtable key for specifying a character encoding to the renderAsStream method.
`protected S_LibrarySession` | `m_Session` The S_LibrarySession that constructed this SimpleTextRenderer.
`static java.lang.String` | `SUPPRESS_IDS` The hashtable key for specifying that ids are to be suppressed from the InputStream or Reader returned by renderAsStream or renderAsReader, replaced by the String "suppressed".

Constructor Summary
`SimpleTextRenderer(S_LibrarySession session)` Constructs a SimpleTextRenderer.

Method Summary
`java.io.Reader` | `renderAsReader(S_LibraryObject lo, java.util.Hashtable options)` Renders the specified LibraryObject as a Reader.
`java.io.InputStream` | `renderAsStream(S_LibraryObject lo, java.util.Hashtable options)` Renders the specified LibraryObject as an InputStream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHAR_ENCODING

    public static final java.lang.String CHAR_ENCODING

  Description copied from class: `SimpleTextRenderer`
  The hashtable key for specifying a character encoding to the renderAsStream method. The key's value must be a String.

  See Also:
    Constant Field Values
  (Published)

### SUPPRESS_IDS

    public static final java.lang.String SUPPRESS_IDS

  Description copied from class: `SimpleTextRenderer`
  The hashtable key for specifying that ids are to be suppressed from the InputStream or Reader returned by renderAsStream or renderAsReader, replaced by the String "suppressed". The key's value must be a Boolean.

  See Also:
    Constant Field Values
  (Published)

### m_Session

    protected S_LibrarySession m_Session

  Description copied from class: `SimpleTextRenderer`
  The S_LibrarySession that constructed this SimpleTextRenderer.

  (Unpublished)

Constructor Detail

### SimpleTextRenderer

    public SimpleTextRenderer(S_LibrarySession session)
                       throws IfsException

  Constructs a SimpleTextRenderer.

  Parameters:
    `session` - the S_LibrarySession constructing this SimpleTextRenderer
  Throws:
    `IfsException` - (IFS-12400) if the operation fails
  (Unpublished)

Method Detail

### renderAsStream

    public java.io.InputStream renderAsStream(S_LibraryObject lo,
                                              java.util.Hashtable options)
                                       throws IfsException

  Description copied from class: `SimpleTextRenderer`
  Renders the specified LibraryObject as an InputStream.

  The `options` parameter, if non-null, further controls the behavior of the Renderer through a set of option name/value pairs. The options are:

  - `CHAR_ENCODING`: a String specifying the desired character encoding; defaults to the Localizer's character encoding
  - `SUPPRESS_IDS`: a Boolean specifying whether id values should be suppressed in the rendered representation, replaced by the String "suppressed"; defaults to false

  Parameters:
    `lo` - the object to be rendered
    `options` - see method description
  Returns:
    the InputStream
  Throws:
    `IfsException` - (IFS-12401) if the operation fails
  (Unpublished)

### renderAsReader

    public java.io.Reader renderAsReader(S_LibraryObject lo,
                                         java.util.Hashtable options)
                                  throws IfsException

  Description copied from class: `SimpleTextRenderer`
  Renders the specified LibraryObject as a Reader.

  The `options` parameter, if non-null, further controls the behavior of the Renderer through a set of option name/value pairs. The options are:

  - `SUPPRESS_IDS`: a Boolean specifying whether id values should be suppressed in the rendered representation, replaced by the String "suppressed"; defaults to false

  Parameters:
    `lo` - the object to be rendered
    `options` - see method description
  Returns:
    the Reader
  Throws:
    `IfsException` - (IFS-12402) if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD